<template>
  <div id="VideoPlayerUtils" v-if="video_props">
    <v-responsive :aspect-ratio="16 / 9">
      <iframe
        width="100%"
        height="100%"
        :src="video_props ? video_props : ''"
        title="YouTube video player"
        frameborder="0"
        allowfullscreen
        class="primary_light rounded-lg"
      ></iframe>
    </v-responsive>
  </div>
</template>
<script>
export default {
  props: ["video_props"],
};
</script>
